#!/bin/sh

CDLOC=`dirname $0`
pushd $CDLOC >/dev/null

CDLOC=`pwd`
CDLOC=${CDLOC// /%20}

popd >/dev/null

rm -f /tmp/lyum.conf
rm -rf /tmp/local.repo

mkdir /tmp/local.repo

cat >/tmp/lyum.conf <<EOF
[main]
cachedir=/var/cache/yum
keepcache=0
debuglevel=2
logfile=/var/log/yum.log
pkgpolicy=newest
distroverpkg=redhat-release
tolerant=1
exactarch=1
obsoletes=1
gpgcheck=0
plugins=1
metadata_expire=72000

# PUT YOUR REPOS HERE OR IN separate files named file.repo
reposdir=/tmp/local.repo
EOF

cat >/tmp/local.repo/CD.repo <<EOF
[local_core]
Name=Local
baseurl=file://$CDLOC/SL
enabled=1
gpgcheck=0
EOF

killall puplet
killall yum-updatesd

yum -c /tmp/lyum.conf clean all
yumex -c /tmp/lyum.conf
yum -c /tmp/lyum.conf clean all

rm -f /tmp/lyum.conf
rm -rf /tmp/local.repo
